<form autocomplete="off" action="[var: 'admin_link', -encodenone]" id="settings_form" method="post">

<div class="content_split_solo">
	<div class="content_left" id="content_left">
		<h2>SQL Query Browser</h2>

		<table>
		[admin_datasourcecascade: -prefix='query_', -suffix='id', -sqlonly, -datasource=$query_datasourceid, -host=$query_hostid, -database=$query_databaseid, -notable, -nofield, -notabletag, -nodatabaserefresh]
[if:($query_history->size > 0) && ($query_databasemap->Size > 0)]
			<tr>
				<th>History</th>
				<td>
					<select name="history" onchange="this.form.sql.value = unescape(this.value);" class="std_pop_large">
						<option value=""></option>[loop: $query_history->size][$temp = $query_history->(get:($query_history->size - loop_count + 1))]
						<option value="[encode_stricturl: $temp]">[if: $temp->length > 80][$temp->(substring:1,80)]...[else][$temp][/if]</option>[/loop]
					</select>
				</td>
			</tr>
[/if]
			<tr>
				<th>SQL Statement</th>
				<td>
					<textarea name="sql" cols="40" rows="4" wrap="virtual" class="std_area_medium" onkeyup="if ((this.form.elements.query_autosubmit.value == 'Yes') && ((event.keycode == 13) || (event.which == 13))) this.form.submit();">[Variable: 'query_sql']</textarea>
				</td>
			</tr>
			<tr>
				<th>Show Fields</th>
				<td>
					<select name="query_showfields" class="std_pop_medium">
						<option value="4" [if: $query_showfields == 4]selected="selected"[/if]>4 Fields</option>
						<option value="8" [if: $query_showfields == 8]selected="selected"[/if]>8 Fields</option>
						<option value="12" [if: $query_showfields == 12]selected="selected"[/if]>12 Fields</option>
						<option value="16" [if: $query_showfields == 16]selected="selected"[/if]>16 Fields</option>
						<option value="All" [if: $query_showfields == 'All']selected="selected"[/if]>All Fields</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>Max Records</th>
				<td>
					<select name="query_maxrecords" class="std_pop_medium">
						<option value="10" [if: $query_maxrecords == 10]selected="selected"[/if]>10 Records</option>
						<option value="25" [if: $query_maxrecords == 25]selected="selected"[/if]>25 Records</option>
						<option value="50" [if: $query_maxrecords == 50]selected="selected"[/if]>50 Records</option>
						<option value="75" [if: $query_maxrecords == 75]selected="selected"[/if]>75 Records</option>
						<option value="100" [if: $query_maxrecords == 100]selected="selected"[/if]>100 Records</option>
						<option value="All" [if: $query_maxrecords == 'All']selected="selected"[/if]>All Records</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>Max Field Lines</th>
				<td>
					<select name="query_fieldheight" class="std_pop_medium">
						<option value="1" [if: $query_fieldheight == 1]selected="selected"[/if]>1 Line</option>
						<option value="4" [if: $query_fieldheight == 4]selected="selected"[/if]>4 Lines</option>
						<option value="7" [if: $query_fieldheight == 7]selected="selected"[/if]>7 Lines</option>
						<option value="10" [if: $query_fieldheight == 10]selected="selected"[/if]>10 Lines</option>
						<option value="None" [if: $query_fieldheight == 'None']selected="selected"[/if]>All Lines</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>Submit on Return</th>
				<td>
					<select name="query_autosubmit" class="std_pop_small">
						<option value="Yes" [if: $query_autosubmit == 'Yes']selected="selected"[/if]>Yes</option>
						<option value="No" [if: $query_autosubmit != 'Yes']selected="selected"[/if]>No</option>
					</select>
				</td>
			</tr>
		</table>
[if: (var_defined: 'listing_error')]
		<p class="error">No Connectors Found</p>
[/if]
		<p align="right">
			<input type="submit" value="Issue SQL Statement" name="query_action" class="large" />
			<input type="submit" value="Select" name="query_action" class="small" />
		</p>

	</div>
	
	<div id="content_clear" class="content_clear"><img src="images/1x1.gif" height="1" width="1" border="0"></div>

</div>
</form>

<div class="content_bottom" id="content_bottom">

[if: $query_sql && $query_databasealias]

[inline: -log=$__startup_loglevel__, -database=$query_databasealias, -sql=$query_sql, -maxrecords=$query_maxrecords]

[if: (found_count) > 0]

  [if: $query_showfields == 'All'][var: 'showfields' = (field_name: -count)][else][var: 'showfields' = (math_min: $query_showfields, (field_name: -count))][/if]
  [if: $query_fieldlimit == 'Yes'][var: 'width' = (integer: (math_max: 20, (160.0 / $showfields)))][else][var: 'width'=20][/if]
  [if: $query_fieldheight == 'None'][var: 'height' = 1000][else][var: 'height' = $query_fieldheight][/if]
  [var: 'percent' = (integer: (100.0 / $showfields)) + '%']

	<table width="100%" cellspacing="0" cellpadding="3">
			<tr bgcolor="[var: 'wide_stripe']">[loop: $showfields]
				<td width="[var: 'percent']"><b>[field_name: loop_count]</b>&nbsp;</td>[/loop]
			</tr>
[if: $query_fieldlimit == 'Yes']
  [records]
			<tr[if: !(loop_count->(bittest:1))] bgcolor="[var: 'wide_stripe']"[/if]> [loop: $showfields]
				<td nowrap>[protect][_admin_wrap_cleanup: -input=(string: (field: (field_name: loop_count))), $width, $height, -encodenone][/protect]&nbsp;</td>[/loop]
			</tr>
  [/records]
[else]
  [records]
			<tr[if: !(loop_count->(bittest:1))] bgcolor="[var: 'wide_stripe']"[/if]> [loop: $showfields]
				<td>[field: (field_name: loop_count)]&nbsp;</td>[/loop]
			</tr>
  [/records]
[/if]
	</table>
	<table width="100%" cellspacing="0" cellpadding="3">
			<tr><td height="12" [if: (shown_count->(bittest:1))]bgcolor="[var: 'wide_stripe']"[/if]></td></tr>
			<tr>
				<td align="center"[if: (shown_count->(bittest:1))] bgcolor="[var: 'wide_stripe']"[/if]><b>[if: (shown_count) < (found_count)]Showing [shown_count] of [/if][Found_Count] records returned<br>[if: $showfields < (field_name: -count)]Showing [var: 'showfields'] of[/if] [field_name: -count] fields returned.</b></td>
			</tr>
			<tr><td height="12" [if: (shown_count->(bittest:1))]bgcolor="[var: 'wide_stripe']"[/if]></td></tr>
	</table>

[/if]

[if: (error_currenterror) != (error_noerror)]
	<p class="error">[Error_CurrentError] ([Error_CurrentError: -ErrorCode])</p>
	[error_msg = (error_noerror)][error_code = (error_noerror: -errorcode)]
[/if]
[if: (found_count) == 0]
	<p class="message">No Results Returned</p>
[/if]
[/inline]
[else]
	<p class="error">No Statement Issued</p>
[/if]
	
</div>
