<?LassoScript
	
	//
	// Custom Tags
	//
	include: (lassoapp_link: 'tags.lasso');

	//
	// Session
	//
	protect;
		if: (action_param:'logout') == 'true';
			session_end: -name='_groupadmin';
			redirect_url: (lassoapp_link: 'logout.lasso');
		else;
			session_start: -name='_groupadmin', -expires=1440, -usecookie;
	
			_admin_addvar: -session='_groupadmin', -name='admin_datetime', -default=(string: date);
			_admin_addvar: -session='_groupadmin', -name='admin_increment', -default='123453';
			_admin_addvar: -session='_groupadmin', -name='admin_username', -override=(client_username), -default='';
			_admin_addvar: -session='_groupadmin', -name='admin_ipaddress', -default=(string: _client_address_old);
			_admin_addvar: -session='_groupadmin', -name='admin_usertype', -default='none';
		/if;
	/protect;
	
	var: 'admin_increment' = (integer: $admin_increment) + 3;

	//
	// Variables
	//
	
	if:(var_defined:'admin_file')==false;
		var:'admin_file'=(LassoApp_Link: 'default.lasso');
	/if;
	
	if:(var_defined:'admin_pane')==false;
		var:'admin_pane'=(LassoApp_Link: 'default.lasso');
	/if;
	
	//
	// Tab Arrays
	//

	var: 'admin_tab_disabled1' = (array);
	var: 'admin_tab_disabled2' = (array);

		Variable: 'admin_tab_array1' = (Array:
				'setup'='Group Administration',
		);
		Variable: 'admin_tab_array2' = (Array:
			'setup'=(Array:
				'users'='Users',
				'adduser'='Add User',
			),
		);

	// Current Tab

	Variable: 'admin_tab1' = (action_param: 'tab1', (action_param: 'tab1', -count));
	Variable: 'admin_tab2' = (action_param: 'tab2', (action_param: 'tab2', -count));

	// Default Tabs

	// Title

	var: 'admin_title' = 'Group Admin ' + (lasso_version: -lassoversion)->(substring: 1, (lasso_version: -lassoversion)->(find: ' ') - 1);
	var: 'temp' = (_admin_array_find: $admin_tab_array1, $admin_tab1);
	if: ($temp != '') && ($temp != 'None');
		$admin_title += ' : ' + $temp;

		var: 'temp' = (_admin_array_find: (_admin_array_find: $admin_tab_array2, $admin_tab1), $admin_tab2);
		if: ($temp != '') && ($temp != 'None');
			$admin_title += ' : ' + $temp;
		/if;
	/if;

?>