[records: -inlinename='detail_results']
[variable: 'detail_tag' = (field:'tag_name')]

<form autocomplete="off" action="[var: 'admin_file']?tab1=[var: 'admin_tab1']&tab2=[var:'admin_tab2']&-session=_reference:[session_id: -name='_reference']" method="post">

<div id="content_top" class="content_top">
	<h2 style="float: right">Quick Search <input type="text" name="quick_search" size="16" value="" class="short" />&nbsp;[if: ($detail_skiprecords) > 0]<input type="submit" value="< Prev" name="detail_navigation" class="short" />[/if][if: ($detail_shown_last < $detail_found_count)]<input type="submit" value="Next >" name="detail_navigation" class="short" />[/if]</h2>
	<h2>[field:'tag_name']</h2>
</div>

</form>

<div class="content_wide_split">
	<div id="content_wide_left" class="content_wide_left">

[if:(field:'tag_description')!='']
		<h2>Description</h2>
        <p class="indent">[code_highlight: (field:'tag_description'), (var:'detail_tag'), -encodenone]</p>
[/if]
[if:(field:'tag_syntax')!='']
		<p>&nbsp;</p>
		<h2>Syntax</h2>
        <p class="code">[code_highlight: (wrap: (field:'tag_syntax'), 60), (var:'detail_tag'), -encodenone]</p>
[/if]
		<p>&nbsp;</p>
		<h2>Parameters</h2>
[var: 'no_parameters'=true]
[inline: -log=$__startup_loglevel__, $ref_param_inline, -op='eq', 'tag_id'=(field: 'tag_id'), -maxrecords='all', 'param_required'='Y', -op='neq', 'param_type'='Member', -search]
[if:(found_count)>0]
	[var: 'no_parameters'=false]
      <p class="indent"><table>
        <tr>
          <th colspan="2">Required Parameters</th>
        </tr>
	[records]
        <tr>
          <td valign="top" nowrap>[if:!((field: 'param_name')>>'-')]<i>[/if][field: 'param_name'][if:!((field:'param_name')>>'-')]</i>[/if]</td>
          <td valign="top">[code_highlight: (field:'param_description'), (var:'detail_tag'), -encodenone]</td>
        </tr>
	[/records]
[/if]
[/inline]
[inline: -log=$__startup_loglevel__, $ref_param_inline, -op='eq', 'tag_id'=(field:'tag_id'), -maxrecords='all', 'param_optional'='Y', -op='neq', 'param_type'='Member', -search]
[if:(found_count)>0]
	[if: $no_parameters == true]
      <p class="indent"><table>
	[/if]
	[var: 'no_parameters'=false]
        <tr>
          <th colspan="2">Optional Parameters</th>
        </tr>
	[records]
        <tr>
          <td valign="top" nowrap>[if:!((field: 'param_name')>>'-')]<i>[/if][field: 'param_name'][if:!((field: 'param_name')>>'-')]</i>[/if]</td>
          <td valign="top">[code_highlight: (field:'param_description'), (var:'detail_tag'), -encodenone]</td>
        </tr>
	[/records]
[/if]
[/inline]
[if: (var:'no_parameters') && ((field: 'tag_basic') == 'Y')]
        <p class="indent">No Parameters Required.</p>
[else: (var:'no_parameters') && ((field: 'tag_basic') == 'N')]
        <p class="indent">See the Upgrading Your Solutions chapter of the Lasso 8 Language Guide for more details.</p>
[else]
	  </table></p>
[/if]

		<p>&nbsp;</p>
		<h2>Examples</h2>
[inline: -log=$__startup_loglevel__, $ref_example_inline, -op='eq', 'tag_id'=(field:'tag_id'), -maxrecords='all', -search]
[if:(found_count)>0]
[records]
		<p class="indent"><b>[Field: 'ex_title']</b></p>
		<p class="indent">[code_highlight:(field:'ex_description'), (var:'detail_tag'), -encodenone]</p>
[if: (field:'ex_example')!='']
		<p>&nbsp;</p>
        <p class="code">[code_highlight: (wrap: (field:'ex_example'), 60), (var:'detail_tag'), -encodenone]</p>
[/if]
[if: (field:'ex_result')!='']
		<p>&nbsp;</p>
        <p class="code"><img src="[var: 'arrow_graphic']" width="12" height="10" /> [code_highlight: (wrap: (field:'ex_result'), 60), (var:'detail_tag'), -encodenone]</p>
[/if]
		<p>&nbsp;</p>
[/records]
[else]
	[if: (field: 'tag_category') >> 'XML']
		<p class="indent">See the XML chapter in the Lasso 8 Language Guide for examples of how to use this tag.  Many of the XML examples require lengthy descriptions and the use of several related tags and are better suited to presentation in the Language Guide. [if: (field: 'tag_pagenumber') != 0]This tag is documented on page [field: 'tag_pagenumber'].[/if]</p>
	[else: (field: 'tag_category') >> 'PDF']
		<p class="indent">See the PDF chapter in the Lasso 8 Language Guide for examples of how to use this tag.  Many of the PDF examples require lengthy descriptions and the use of several related tags and are better suited to presentation in the Language Guide. [if: (field: 'tag_pagenumber') != 0]This tag is documented on page [field: 'tag_pagenumber'].[/if]</p>
	[else]
		<p class="indent">See the Lasso 8 Language Guide for examples of how to use this tag. [if: (field: 'tag_pagenumber') != 0]This tag is documented on page [field: 'tag_pagenumber'].[/if]</p>
	[/if]
	<p>&nbsp;</p>
[/if]
[/inline]


[if:(field:'tag_changenotes')!='']
		<p>&nbsp;</p>
		<h2>Change Notes</h2>
		<p class="indent">[code_highlight: (field:'tag_changenotes'), (var:'detail_tag'), -encodenone]</p>
[/if]
		<p>&nbsp;</p>

	</div>
	<div id="content_wide_right" class="content_wide_right">

      <table>
        <tr><td colspan=2 height="3"></td></tr>
        <tr valign="top">
          <th>Tag&nbsp;Link</th>
          <td nowrap><a href="http://[server_name][var: 'response_filepath']?tag=[field:'tag_id', -encodestricturl]">[list_cleanup: (field: 'tag_name')]</a></td>
        </tr>
        <tr><td colspan=2 height="3"></td></tr>
        <tr valign="top">
          <th>Category</th>
		[if: ((field: 'tag_basic') == 'Y')]
 		  [var:'cat_url'= $admin_file + '?tab1=browse&tab2=category&browse_category_mode=display&browse_category_category=' + (field:'tag_category', -encodestricturl)]
		[else: ((field: 'tag_basic') == 'N')]
 		  [var:'cat_url'= $admin_file + '?tab1=browse&tab2=legacy&browse_legacy_mode=display&browse_legacy_category=' + (field:'tag_category', -encodestricturl)]
		[/if]
          <td><a href="[var:'cat_url', -encodenone]">[field: 'tag_category']</a></td>
        </tr>
        <tr valign="top">
          <th>Type&nbsp;</th>
          <td>[field: 'tag_type']</td>
        </tr>
        <tr><td colspan=2 height="3"></td></tr>
        <tr valign="top">
          <th>Set&nbsp;</th>
          <td>[status_cleanup: (field: 'tag_language'), -encodenone]</td>
        </tr>
        <tr valign="top">
          <th>Support&nbsp;</th>
          <td>[field: 'tag_support']</td>
        </tr>
[output_none][noprocess]
        <tr valign="top">
          <th>Edition&nbsp;</th>
          <td width="30%">[status_cleanup: (field: 'tag_edition'), -encodenone]</td>
        </tr>
[/noprocess][/output_none]
        <tr valign="top">
          <th>Version&nbsp;</th>
          <td>[field: 'tag_version']</td>
        </tr>
        <tr valign="top">
          <th>Change&nbsp;</th>
          <td>[field: 'tag_history']</td>
        </tr>
        <tr><td colspan=2 height="3"></td></tr>
        <tr valign="top">
          <th>Data&nbsp;Source&nbsp;</th>
          <td>[status_cleanup: (field: 'tag_datasource'), -encodenone]</td>
        </tr>
        <tr valign="top">
          <th>Output Type&nbsp;</th>
          <td>[field: 'tag_output']</td>
        </tr>
        <tr valign="top">
          <th>Security&nbsp;</th>
          <td>[status_cleanup: (field: 'tag_security'), -encodenone]</td>
        </tr>
        <tr valign="top">
          <th>Implementation&nbsp;</th>
          <td>[status_cleanup: (field: 'tag_implementation'), -encodenone]</td>
        </tr>
        <tr valign="top">
          <th>Source&nbsp;Available&nbsp;</th>
          <td>[if: (field: 'tag_sourceavailable') == 'Y']Yes[else]No[/if]</td>
        </tr>
      </table>
	  <hr>

      <table>

[var: 'tag_root' = (field: 'tag_name')]
[if: !($tag_root->(beginswith: '-'))]
	[var: 'tag_root' = (string_replaceregexp: (field:'tag_name'), -find='[->_\\]].*', -replace='')]
[/if]

[var: 'shown_ids' = (set)]
[var: 'shown_max' = 25]
[var: 'searches' = (array:
	'Related Command Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Command',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Substitution Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Substitution',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Container Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Container',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Process Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Process',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Member Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Member',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Constants' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='eq', 'tag_type'='Constant',
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Related Tags' = (array:
		-op='bw', 'tag_name'=$tag_root,
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Symbols' = (array:
		-op='eq', 'tag_type'='Symbol',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Constants' = (array:
		-op='eq', 'tag_type'='Constant',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Container Tags' = (array:
		-op='eq', 'tag_type'='Container',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Substitution Tags' = (array:
		-op='eq', 'tag_type'='Substitution',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Process Tags' = (array:
		-op='eq', 'tag_type'='Process',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Member Tags' = (array:
		-op='eq', 'tag_type'='Member',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Command Tags' = (array:
		-op='eq', 'tag_type'='Command',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Delimiters' = (array:
		-op='eq', 'tag_type'='Delimiter',
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
	'Other Tags' = (array:
		-op='eq', 'tag_category'=(field:'tag_category'),
		-op='neq', 'tag_id'=(field:'tag_id'),
	),
)]

[iterate: $searches, (var: 'search')][if: $search === null][loop_continue][/if]
[var: 'category_name' = '']
[inline: -log=$__startup_loglevel__, $ref_tag_inline,
		$search->second,
		-maxrecords=$shown_max,
		-sortfield='tag_sort',
		-search]
	[if: (found_count > 0)]
	[var: 'title' = false]
	[records]
	[if: $shown_ids !>> (field: 'tag_id')]
	
	[if: $title == false][var: 'title' = true]
	[if: ($search->first != '') && ($search->first != $category_name)][var: 'category_name' = $search->first]
		<tr>
		  <th>[encode_html: $search->first]</th>
		</tr>
	[/if]
		<tr>
		  <td nowrap>
	[/if]
		[if: ((field: 'tag_id') != '')]
 		  	[var:'detail_url'= $admin_file + '?tab1=detail&tab2=tag&detail_mode=detail_related&detail_index=' + (field: 'tag_id')]
          	&nbsp;&nbsp;<a href="[var: 'detail_url']">[list_cleanup: (field: 'tag_name')]</a><br>
		[else]
          	&nbsp;&nbsp;[list_cleanup: (field: 'tag_name')]<br>
		[/if]
		[$shown_ids->(insert: (field: 'tag_id'))]
	[/if]
	[if: $shown_ids->size >= $shown_max][loop_abort][/if]
	[/records]
          </td>
        </tr>
	[/if]
[/inline]

[if: $shown_ids->size >= $shown_max][loop_abort][/if]
[/iterate]

[inline: -log=$__startup_loglevel__, $ref_join_inline,
	-op='eq', 'tag_id'=(field:'tag_id'),
	-op='neq', 'rel_type'='Dependency',
	-maxrecords='all',
	-sortfield='rel_type',
	-sortfield='rel_name',
	-search]
[if:(found_count)>0]
[var: 'join_type'='']
[var: 'join_cont'=false]
[var: 'requires_java' = false]
[records]
[if: (field: 'rel_name') == 'java']
[var: 'requires_java' = true]
[else]
[if: $join_type != (field: 'rel_type')][var: 'join_type'=(field: 'rel_type')]
[if: $join_cont == false][var: 'join_cont'=true]
          </td>
        </tr>
[/if]
        <tr>
          <th>[field: 'rel_type']</th>
        </tr>
        <tr>
          <td nowrap>
[else]
			<br>
[/if]
[if: ((field: 'rel_id') != '')]
 		  	[var:'detail_url'= $admin_file + '?tab1=detail&tab2=tag&detail_mode=detail_related&detail_index=' + (field: 'rel_id')]
          	&nbsp;&nbsp;<a href="[var: 'detail_url', -encodenone]">[list_cleanup: (field: 'rel_name')]</a>
[else]
          	&nbsp;&nbsp;[list_cleanup: (field: 'rel_name')]
[/if]
[/if]
[/records]
          </td>
        </tr>
[if: ($requires_java == true)]
        <tr>
          <th>Required Technologies</th>
        </tr>
        <tr>
          <td nowrap>Java</td>
        </tr>
[/if]
[/if]
[/inline]

[if: (field: 'tag_equiv') != '']
[var: 'equiv_index'='']
<?LassoScript
	variable: 'equiv_inline' = $ref_tag_inline;
	$equiv_inline->(insert: -search='');
	$equiv_inline->(insert: -op='eq');
	$equiv_inline->(insert: 'tag_name'=(field: 'tag_equiv'));
	$equiv_inline->(insert: -maxrecords='1');
	inline: -log=$__startup_loglevel__, $equiv_inline;
		if: (found_count) > 0;
			$equiv_index = (field: 'tag_id');
		/if;
	/inline;
?>
        <tr>
[if: (field: 'tag_basic') == 'Y']
          <th>Lasso 3 Equivalent</th>
[else]
          <th>Lasso 5 Equivalent</th>
[/if]
        </tr>
        <tr>
[if: $equiv_index == '']
          <td nowrap>&nbsp;&nbsp;[field: 'tag_equiv']</td>
[else]
          <td nowrap>
 		  	[var:'detail_url'= $admin_file + '?tab1=detail&tab2=tag&detail_mode=detail_related&detail_index=' + $equiv_index]
          	&nbsp;&nbsp;<a href="[var: 'detail_url', -encodenone]">[list_cleanup: (field: 'tag_equiv')]</a>
          </td>
[/if]
        </tr>
[/if]

        <tr>
          <td>&nbsp;</td>
        </tr>
      </table>
	</div>

	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>

</div>

[/records]
