<?LassoScript

//
// Store Search Variables in Session
//

session_addvar: -name='_reference', 'list_legacy_maxrecords';
session_addvar: -name='_reference', 'list_legacy_skiprecords';
session_addvar: -name='_reference', 'list_legacy_found_count';
session_addvar: -name='_reference', 'list_legacy_category';
session_addvar: -name='_reference', 'list_legacy_inline';

//
// Base Inline
//

variable: 'list_legacy_inline' = $ref_tag_inline;

//
// Navigation Parameters
//

if: (var_defined: 'list_legacy_navigation') && (var_defined: 'list_legacy_found_count') && (var_defined: 'list_legacy_skiprecords') && (var_defined: 'list_legacy_maxrecords');
	if: ($list_legacy_navigation >> 'Prev');
		var: 'temp' = (math_min: $list_legacy_found_count, (math_max: 0, (math_sub: $list_legacy_skiprecords, $list_legacy_maxrecords)));
		$list_legacy_inline->(insert: -SkipRecords=$temp);
	else: ($list_legacy_navigation >> 'Next');
		var: 'temp' = (math_min: $list_legacy_found_count, (math_max: 0, (math_add: $list_legacy_skiprecords, $list_legacy_maxrecords)));
		$list_legacy_inline->(insert: -SkipRecords=$temp);
	/if;
/if;

//
// Search Parameters
//

$list_legacy_inline->(insert: -search='');
$list_legacy_inline->(insert: -maxrecords=60);
$list_legacy_inline->(insert: 'tag_display'='Y');
$list_legacy_inline->(insert: 'tag_basic'='N');

$list_legacy_inline->(insert: -SortField='tag_category');
$list_legacy_inline->(insert: -SortField='tag_sort');

//
// Perform the Search
//

inline: -log=$__startup_loglevel__, $list_legacy_inline, -inlinename='list_legacy_results';
	var: 'list_legacy_found_count' = (found_count);
	var: 'list_legacy_shown_count' = (shown_count);
	var: 'list_legacy_shown_first' = (shown_first);
	var: 'list_legacy_shown_last' = (shown_last);
	var: 'list_legacy_maxrecords' = (maxrecords_value);
	var: 'list_legacy_skiprecords' = (skiprecords_value);
/inline;

?>
