<div class="content_split">
	<div id="content_left" class="content_left" style="min-height: 144px">
		<h2>Site Admin Links</h2>

<?lassoscript
var: 'sites_map' = (array);

inline: -log=$__startup_loglevel__, -search,
		-database='lasso_internal',
		-table='sites',
		-keyfield='id',
		-maxrecords='all';
	records;
		var: 'temp' = (map);
		iterate: field_names, (var: 'field');
			$temp->(insert: $field = (field: $field));
		/iterate;		
		$sites_map->(insert: $temp);
	/records;
/inline;
?>

[if: $sites_map->size > 0]
		<table>
[iterate: $sites_map, (var: 'sites_temp')]
	[var: 'link' = (admin_getpref: 'lasso_site_admin_url', -site=$sites_temp->(find: 'id'))]
	[if: ($link == '') && ($sites_temp->(find: 'url') != '')]
		[var: 'link' = $sites_temp->(find: 'url')]
	[else: ($link == '') && ($sites_temp->(find: 'id') == 1)]
		[var: 'link' = 'http://' + server_name + ':' + server_port + '/SiteAdmin.LassoApp']
	[/if]
	[if: $link != '']
			<tr>
				<td>[encode_html: $sites_temp->(find: 'name')] [encode_html: $sites_temp->(find: 'id')]</td>
				<td><a href="[var: 'link']" target="_blank">[_admin_wrap_cleanup: $link, 40, 4, -encodenone]</a></td>
			</tr>
	[/if]
[/iterate]
		  </table>
[else]
		<p class="error">No Sites Found</p>
[/if]
	</div>
	<div id="content_right" class="content_right" style="min-height: 144px">
		<h2>OmniPilot Links</h2>
		<table>
			<tr>
				<th>LDML Reference</th>
				<td><a href="http://ldml.omnipilot.com/" target="_blank">http://ldml.omnipilot.com/</a></td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<th>OmniPilot Web Site</th>
				<td><a href="http://www.omnipilot.com/" target="_blank">http://www.omnipilot.com/</a></td>
			</tr>
			<tr>
				<th>OmniPilot Store</th>
				<td><a href="http://store.omnipilot.com/" target="_blank">http://store.omnipilot.com/</a></td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<th>Lasso Talk Archives</th>
				<td><a href="http://www.listsearch.com/lassotalk.lasso" target="_blank">http://www.listsearch.com/lassotalk.lasso</a></td>
			</tr>
			<tr>
				<th>Support Central</th>
				<td><a href="http://support.omnipilot.com/" target="_blank">http://support.omnipilot.com/</a></td>
			</tr>
		</table>
	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>

<div class="content_split">
	<div id="content_left" class="content_left" style="min-height: 144px">
		<h2>Third-Party Resources</h2>
		<table>
			<tr>
				<th width="50%">Lasso Training Providers</th>
				<td><a href="http://www.lassotraining.com/" target="_blank">http://www.lassotraining.com/</a></td>
			</tr>
			<tr>
				<th width="50%">Lasso Partner Alliance</th>
				<td><a href="http://www.lassopartner.com/" target="_blank">http://www.lassopartner.com/</a></td>
			</tr>
			<tr>
				<th width="50%">Lasso Solutions Directory</th>
				<td><a href="http://www.lassosolutions.com/" target="_blank">http://www.lassosolutions.com/</a></td>
			</tr>
			<tr>
				<th width="50%">Lasso Hosting Providers</th>
				<td><a href="http://www.lassohost.com/" target="_blank">http://www.lassohost.com/</a></td>
			</tr>
		</table>
	</div>
	<div id="content_right" class="content_right" style="min-height: 144px">
		<h2>Contact OmniPilot</h2>
		<table>
			<tr>
				<th>Support Email</th>
				<td><a href="mailto:lassosupport@omnipilot.com">lassosupport@omnipilot.com</a></td>
			</tr>
			<tr>
				<th>Support Phone (U.S.)</th>
				<td>954-315-9400</td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<th width="50%">Submit Bug Reports</th>
				<td><a href="mailto:lassobugs@omnipilot.com">lassobugs@omnipilot.com</a></td>
			</tr>
			<tr>
				<th width="50%">Documentation Feedback</th>
				<td><a href="mailto:lassodocumentation@omnipilot.com">lassodocumentation@omnipilot.com</a></td>
			</tr>
			<tr>
				<th>Feature Requests</th>
				<td><a href="mailto:lassofeatures@omnipilot.com">lassofeatures@omnipilot.com</a></td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<th>Mailing Lists Questions</th>
				<td><a href="mailto:listmaster@omnipilot.com">listmaster@omnipilot.com</a></td>
			</tr>
			<tr>
				<th>Web Site Feedback</th>
				<td><a href="mailto:webmaster@omnipilot.com">webmaster@omnipilot.com</a></td>
			</tr>
			<tr>
				<th>General Feedback</th>
				<td><a href="mailto:info@omnipilot.com">info@omnipilot.com</a></td>
			</tr>
		</table>
	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>
