<?LassoScript

_admin_addvar: 'email_action', -override=(action_param: 'email_action');

_admin_addvar: 'email_fromemail', -override=(action_param: 'email_fromemail');
_admin_addvar: 'email_toemail', -override=(action_param: 'email_toemail');
_admin_addvar: 'email_cc', -override=(action_param: 'email_cc');
_admin_addvar: 'email_bcc', -override=(action_param: 'email_bcc');
_admin_addvar: 'email_subject', -override=(action_param: 'email_subject');
_admin_addvar: 'email_body', -override=(action_param: 'email_body');

var: 'email_defaults' = (map: 
		'lasso_smtp_pause' = 'N',
		'lasso_smtp_host' = '',
		'lasso_smtp_port' = 25,
		'lasso_smtp_username' = '',
		'lasso_smtp_password' = '',
		'lasso_smtp_timeout' = 15,
	);		
var: 'email_prefs' = $email_defaults;
var: 'email_prefs' = (admin_getpref: $email_prefs);

var:'sendmail' = ((var:'email_action') >> 'Send Email');

if: ($email_action >> 'Send') && (($email_toemail == '') && ($email_cc == '') && ($email_bcc == ''));
	var: 'error' = 'A recipient must be specified for the email.';
else: ($email_action >> 'Send') && ($email_fromemail == '');
	var: 'error' = 'The message has no from address.';
else: ($email_action >> 'Send') && ($email_subject == '');
	var: 'error' = 'The message has no subject.';
else: ($email_action >> 'Send') && ($email_body == '');
	var: 'error' = 'The message has no body.';
else: ($email_action >> 'Send');
	Email_Send:
		-From=$email_fromemail,
		-Subject=$email_subject,
		-Body=$email_body,
	    -To=$email_toemail,
	    -CC=$email_cc,
	    -BCC=$email_bcc;

	// [email_send] tag does not return result code nor record id,
	// so we attempt to get the id ourselves...
	// (this is a hack and not guaranteed to work)
	inline: -log=$__startup_loglevel__, -findall,
		-database='site',
		-table='smtp_queue',
		-sortfield='id', -sortorder='descending',
		-maxrecords=1;
	    var:'email_id' = (field:'id');
	/inline;

	redirect_url: (var: 'admin_link') + '&tab3=email' +
		'&email_id=' + $email_id +
		'&email_action=detail';
	abort;
/if;

?>
