<?LassoScript

if:(action_param:'WSDL', -count);
	include:lassoapp_link:'LassoService.wsdl.lasso';
else:client_headers >> 'SOAPAction:';
	include:lassoapp_link:'soap_handler.lasso';
else:client_contenttype->beginsWith('text/xml');

    local:'post' = @client_postargs;

	content_type:'text/xml';
	protect;
        local:'rpc'=xml_rpc:#post;
        
        local:'tag' = #rpc->getMethod;
        local:'found'= @($__RPC__->(find:#tag));
 
        fail_if: #found == null, -1, 'The method was not found.';
    
        local:'response' = #found->(run:-params=(#rpc->getParams));

        $__HTML_REPLY__ = 
            (xml_rpc:(
                #response
                    ))->(response:-full=false, -fault=false);
        
        handle_error;
            $__HTML_REPLY__ = (xml_rpc:(array: -faultCode=(error_currenterror:-errorcode), -faultString=(error_currenterror)))->(response: -full=false, -fault=true);
        /handle_error;
	/protect;
/if;

?>