<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" >
	<head>
		<title>[var: 'admin_title', -encodenone]</title>
		<style>[include: (lassoapp_link: 'default_css.lasso')]</style>
[if: ($admin_splash == 'true')]
	[var: 'splash_link' = (lassoapp_link: 'default.lasso') + '?initialize=initialize&admin_splash=false']
	<meta http-equiv="refresh" content="5;URL=[var: 'splash_link']">
[/if]
	</head>
	<body>
[if: ($admin_splash == 'true')]
		<div align="center">
			<table width="400" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td align="center" valign="middle">&nbsp;</td>
				</tr>
				<tr>
					<td align="center" valign="middle">
						<a href="[var: 'splash_link']">
							<img src="[lassoapp_link:'images/logo_splash.jpg']" border="0">
						</a>
					</td>
				</tr>
				<tr>
					<td align="center" valign="middle">&nbsp;</td>
				</tr>
				<tr>
					<td align="center" valign="middle">
						Welcome to Lasso Professional Server.<br />
						Click on the splash screen to initialize your server.
					</td>
				</tr>
				<tr>
					<td align="center" valign="middle">&nbsp;</td>
				</tr>
			</table>
		</div>
[else]
		<div id="frame_main" class="frame_main">

[if: (client_type >> 'MSIE') && (client_type >> 'Mac_PowerPC')]
			<div id="header_tab1" align="center">
				<img class="graphic_left" src="[lassoapp_link:'images/logo_left.jpg']" alt="" width="144" height="36" />
				<a href="http://www.omnipilot.com/" target="_new"><img class="graphic_right" src="[lassoapp_link:'images/logo_right.jpg']" alt="" width="144" height="36" border=0 /></a>
				<a href="[Response_FilePath]?initialize=initialize" class="tab1 active1"><img class="corner_left1" src="[lassoapp_link:'images/blank.gif']" border="0" alt="" width="1" height="1" />&nbsp;&nbsp;&nbsp;Initialize&nbsp;&nbsp;&nbsp;<img class="corner_right1" src="[lassoapp_link:'images/blank.gif']" border="0" alt="" width="1" height="1" /></a>
			</div>
			<div id="header_tab2" class="header_tab2">&nbsp;</div>
[else]
			<div id="header_tab1" class="header_tab1" align="center">
				<img class="graphic_left" src="[lassoapp_link:'images/logo_left.jpg']" alt="" width="144" height="36" />
				<a href="http://www.omnipilot.com/" target="_new"><img class="graphic_right" src="[lassoapp_link:'images/logo_right.jpg']" alt="" width="144" height="36" border=0 /></a>
				<a href="[Response_FilePath]?initialize=initialize" class="tab1 active1"><img class="corner_left1" src="[lassoapp_link:'images/corner_ffffff_left.gif']" border="0" alt="" width="2" height="2" /><span class="tab1">Initialize</span><img class="corner_right1" src="[lassoapp_link:'images/corner_ffffff_right.gif']" border="0" alt="" width="2" height="2" /></a>
			</div>
			<div id="header_tab2" class="header_tab2">&nbsp;</div>
[/if]

<form autocomplete="off" action="[response_filepath]" method="post">
	<input type="hidden" name="admin_splash" value="false" />
	<input type="hidden" name="initialize" value="initialize" />

[if: $admin_needs == '']

<div class="content_split_solo">
	<div id="content_left" class="content_left">
		
		<h2>Initialization Complete</h2>
		
		<p>Lasso Professional 8 has been successfully initialized.</p>
		
		<p>Please proceed to the server administration interface to continue with
		setup and configuration of Lasso Professional 8. Consult the Lasso
		Professional 8 Setup Guide for full documentation.</p>
		
		<p align="right">
			<input type="Submit" name="action" value="Open Server Administration" />
		</p>
		
	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>

[else: ($admin_needs >> 'admin') || ($admin_needs >> 'serial')]

	<input type="hidden" name="admin_needs" value="[var: 'admin_needs']" />

<div class="content_split">
	<div id="content_left" class="content_left">
		
		<h2>Welcome to Lasso Professional 8</h2>
		
		<p>Before operating Lasso Professional 8, it needs to be initialized
		by completing the following steps:</p>
		
		<ol>
[if: $admin_needs >> 'serial']
			<li>Enter your serial number.</li>
[/if]
[if: $admin_needs >> 'admin']
			<li>Create a server administrator username and password.</li>
[/if]
[if: $admin_needs >> 'site']
			<li>Set up default site administrator username and password (on next screen).</li>
[/if]
[if: $admin_needs >> 'prefs']
			<li>Set up SMTP email preferences (on next screen).</li>
[/if]
		</ol>
		
		<p>After these steps are completed you can access the administration
		interface to complete the setup and configuration and begin using Lasso
		Professional 8.</p>
		
[if: $admin_needs >> 'serial']
		<h2>Where to Find Your Serial Number</h2>
		
		<p>A serial number is required to run Lasso Professional
		8. Your serial number can be found in the order confirmation email for
		Lasso Professional 8.</p>
		
		<p>If you do not have a serial number, select the button
		below to request a free 30-day evaluation serial number.</p>
		
		<p align="right">
			<input type="Submit" name="action" value="Request Evaluation Serial Number" onclick="location.href='http://www.omnipilot.com/index.html?section=Lasso%2fFree%20Trial';" />
		</p>
[/if]
		
	</div>
</form>
<form autocomplete="off" action="[response_filepath]" method="post">
	<input type="hidden" name="admin_splash" value="false" />
	<input type="hidden" name="initialize" value="initialize" />
	
	<div id="content_right" class="content_right">

[if: $admin_needs >> 'serial']

		<input type="hidden" name="admin_submit" value="serial" />

		<h2>Enter Your Serial Number</h2>
		
		<table>
			<tr>
				<th width="35%">Serial Number</th>
				<td><input type="text" name="admin_serial" value="[var:'admin_serial']" /></td>
			</tr>
			<tr>
				<td colspan="2">
				</td>
			</tr>
		</table>
		
	[if: (var_defined:'admin_serial_error') && ((var: 'admin_serial_error') != '')]
		<p class="error">[var:'admin_serial_error']</p>
	[/if]

		<p>Please enter the entire serial number including the prefix. For example: 
		&quot;LP8-[if: (lasso_version) >> 'Win32']WIN[else:(lasso_version >> 'Mac')]MAC[Else]LIN[/if]-123456789&quot;.</p>
[/if]

[if: $admin_needs >> 'admin']

		<input type="hidden" name="admin_submit" value="admin" />

		<h2>Create a Server Administrator Username and Password</h2>
		
		<table>
			<tr>
				<th width="35%">Administrator Username</th>
				<td><input type="text" name="admin_username" value="[var:'admin_username']" /></td>
			</tr>
			<tr>
				<th width="35%">Administrator Password</th>
				<td><input type="password" name="admin_password" value="[var:'admin_password']" /></td>
			</tr>
			<tr>
				<th width="35%">Confirm Password</th>
				<td><input type="password" name="admin_confirm" value="[var:'admin_confirm']" /></td>
			</tr>
		</table>
		
	[if: (var_defined:'admin_username_error') && ((var: 'admin_username_error') != '')]
		<p class="error">[var:'admin_username_error']</p>
	[/if]
	[if: (var_defined:'admin_password_error') && ((var: 'admin_password_error') != '')]
		<p class="error">[var:'admin_password_error']</p>
	[/if]

		<p>This username and password will be required to access the server
		administration for Lasso Professional 8. Be sure to keep a copy of the
		values you enter.</p>
[/if]

		<p align="right">
			<input type="Submit" name="action" value="Submit Information">
		</p>

	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>

[else]

	<input type="hidden" name="admin_needs" value="[var: 'admin_needs']" />

[if: $admin_needs >> 'prefs']
<div class="content_split">
[else]
<div class="content_split_solo">
[/if]
	<div id="content_left" class="content_left">
		
		<h2>Preferences and Site Administration</h2>
		
		<p>Complete the initialization process by setting the following preferences:</p>
		
		<ol>
[if: $admin_needs >> 'site']
			<li>Set up default site administrator username and password.</li>
[/if]
[if: $admin_needs >> 'prefs']
			<li>Set up SMTP email preferences.</li>
[/if]
		</ol>
		
		<p>After these steps are completed you can access the administration
		interface to complete the setup and configuration and begin using Lasso
		Professional 8.</p>
				
[if: $admin_needs >> 'site']

		<input type="hidden" name="admin_submit" value="site" />

		<h2>Create a Site Administrator Username and Password</h2>
		
		<p>Establish a username and password the site administrator of the default site.  This login must
		be different from the server administrator username and password. However, the server administrator
		username and password can also be used to access site administration for any defined site.</p>

		<table>
			<tr>
				<th width="35%">Site Administrator Username</th>
				<td><input type="text" name="admin_siteusername" value="[var:'admin_siteusername']" /></td>
			</tr>
			<tr>
				<th width="35%">Site Administrator Password</th>
				<td><input type="password" name="admin_sitepassword" value="[var:'admin_sitepassword']" /></td>
			</tr>
			<tr>
				<th width="35%">Confirm Password</th>
				<td><input type="password" name="admin_siteconfirm" value="[var:'admin_siteconfirm']" /></td>
			</tr>
		</table>
		
	[if: (var_defined:'admin_siteusername_error') && ((var: 'admin_siteusername_error') != '')]
		<p class="error">[var:'admin_siteusername_error']</p>
	[/if]
	[if: (var_defined:'admin_sitepassword_error') && ((var: 'admin_sitepassword_error') != '')]
		<p class="error">[var:'admin_sitepassword_error']</p>
	[/if]

		<p>This username and password will be required to access the site
		administration for the default site in Lasso Professional 8. The server administrator
		username and password may also be used.</p>

[if: $admin_needs !>> 'prefs']
		<p align="right">
			<input type="Submit" name="action" value="Submit Information">
		</p>
[/if]
[/if]

	</div>
[if: $admin_needs >> 'prefs']
	<div id="content_right" class="content_right">

		<input type="hidden" name="admin_submit" value="prefs" />

		<h2>Email Preferences</h2>

		<p>Set up preferences for the default SMTP server for outgoing email.</p>

		<table>
			<tr>
				<th>Default SMTP Host</th>
				<td>
					<input type="text" name="lasso_smtp_host" value="[encode_html: $prefs->(find:'lasso_smtp_host')]" class="large" />
				</td>
			</tr>
			<tr>
				<th>SMTP AUTH Username</th>
				<td>
					<input type="text" name="lasso_smtp_username" value="[encode_html: $prefs->(find:'lasso_smtp_username')]" class="large" />
				</td>
			</tr>
			<tr>
				<th>SMTP AUTH Password</th>
				<td>
					<input type="password" name="lasso_smtp_password" value="[encode_html: $prefs->(find:'lasso_smtp_password')]" class="large" />
				</td>
			</tr>
			
		</table>

		<p>Note: The SMTP host and authentication information entered here will also be used to initialize the preferences for the default site.</p>

		<p align="right">
			<input type="Submit" name="action" value="Submit Information">
		</p>

	</div>
[/if]
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>

[/if]

</form>

			<div id="frame_footer" class="frame_footer">
				<table style="margin:0px">
					<tr>
						<td align="center">Initialize Lasso Professional 8</td>
					</tr>
				</table>
			</div>


		</div>

		<p>&copy; 1996[if: date->year > 1996]-[date->year][/if] OmniPilot Software, Inc.</p>

	</body>
</html>
[/if]