<?LassoScript

_admin_addvar: -session='_serveradmin', 'query_connectorid', -default=1, -override=(action_param: 'query_connectorid');
_admin_addvar: -session='_serveradmin', 'query_hostid', -default=1, -override=(action_param: 'query_hostid');
_admin_addvar: -session='_serveradmin', 'query_databaseid', -override=(action_param: 'query_databaseid');

_admin_addvar: 'query_action', -default='None', -override=(action_param: 'query_action');
_admin_addvar: 'query_sql';
_admin_addvar: 'query_history', -session='_serveradmin', -default=(array);

_admin_addvar: 'query_showfields', -session='_serveradmin', -default='all', -override=(action_param: 'query_showfields');
_admin_addvar: 'query_maxrecords', -session='_serveradmin', -default=50, -override=(action_param: 'query_maxrecords');
_admin_addvar: 'query_fieldlimit', -session='_serveradmin', -default='Yes', -override=(action_param: 'query_fieldlimit');
_admin_addvar: 'query_fieldheight', -session='_serveradmin', -default=4, -override=(action_param: 'query_fieldheight');
_admin_addvar: 'query_autosubmit', -session='_serveradmin', -default='No', -override=(action_param: 'query_autosubmit');


//
// Maintain History
//

if: $query_action && (action_param:'sql');
	if: ($query_history->(last) != (action_param:'sql'));
		$query_history->(removeall:(action_param:'sql'));
		$query_history->(insert:(action_param:'sql'));
	/if;
	$query_sql = (action_param:'sql');
/if;
if: ($query_history->size) > 20;
	$query_history->(remove: 1);
/if;


//
// Build Menus
//

var: 'query_connectormap' = (array);
var: 'query_hostmap' = (array);
var: 'query_databasemap' = (array);

if: ($query_action >> 'Refresh');
	_admin_refreshsecurity;
/if;

var: 'temp_connectormap' = (_admin_listconnectors);
var: 'query_connectormap' = (array);
loop: $temp_connectormap->size;
	var: 'temp'=$temp_connectormap->(get:loop_count)->second;
	var: 'id'=$temp_connectormap->(get:loop_count)->first;
	if: !($temp->(find: 'name') >> 'FM');
		$query_connectormap->(insert: $id = $temp);
	/if;
/loop;
var: 'temp' = (_admin_defaultconnector: -id=$query_connectorid, $query_connectormap);
if: ($temp != null);
	var: 'query_connectorid' = $temp->first;
	var: 'query_connectordetail' = $temp->second;
	var: 'query_connectoralias' = $query_connectordetail->(find: 'alias');
else;
	var: 'query_connectorid' = 0;
	var: 'query_connectordetail' = null;
/if;

if: ($query_action >> 'Refresh') && ($query_connectorid != 0);
	_admin_refreshconnector: $query_connectorid;
/if;

if: ($query_connectorid > 0);
	var: 'query_hostmap' = (_admin_listhosts: $query_connectorid);
	var: 'temp' = (_admin_defaulthost: $query_hostid, $query_hostmap);
	if: ($temp != null);
		var: 'query_hostid' = $temp->first;
		var: 'query_hostdetail' = $temp->second;
	else;
		var: 'query_hostid' = 0;
		var: 'query_hostdetail' = null;
	/if;
else;
	var: 'query_hostid' = 0;
	var: 'query_hostdetail' = null;
/if;

if: ($query_hostid > 0);
	var: 'query_databasemap' = (_admin_listdatabases: $query_hostid);
	
	//
	// Enable all available databases
	//
	var: 'refresh' = false;
	iterate: $query_databasemap, (var: 'enabler');
		if: $enabler->second->(find: 'enabled') != 'Y';
			_admin_updatedatabase: $enabler->first, 'enabled'='Y';
			$enabler->second->(insert: 'enabled' = 'Y');
			var: 'refresh' = true;
		/if;
	/iterate;
	if: $refresh == true;	
		_admin_refreshconnector: $query_connectorid;
		var: 'query_databasemap' = (_admin_listdatabases: $query_hostid);
	/if;
	
	var: 'temp' = (_admin_defaultdatabase: $query_databaseid, $query_databasemap);
	if: ($temp != null);
		var: 'query_databaseid' = $temp->first;
		var: 'query_databasedetail' = $temp->second;
		var: 'query_databasename' = $query_databasedetail->(find: 'name');
		var: 'query_databasealias' = $query_databasedetail->(find: 'alias');
	else;
		var: 'query_databaseid' = 0;
		var: 'query_databasedetail' = null;
	/if;
else;
	var: 'query_databaseid' = 0;
	var: 'query_databasedetail' = null;
/if;

?>
