<?LassoScript
	
	// ORPHANED CONTAINER TAGS
	
	define_tag: 'Cache', -container, -priority='replace', -namespace='_global_',
			-required='name', 
			-optional='expires', 
			-optional='condition', 
			-optional='session', 
			-optional='useglobal', 
			-optional='log';
		local: 'params' = (params);
		#params->(removeall: -content);
		#params->(removeall: -nocheck);
		#params->(insert: -checkonly);
		#params->(insert: -content='');
		local: 'result' = \cache_object->(run: -params=#params);
		#params->(removeall: -checkonly);
		#params->(removeall: -condition);
		#params->(insert: -condition=#result);
		#params->(insert: -nocheck);
		if: (#result);
			#params->(removeall: -content);
			#params->(insert: -content=(string: run_children));
			return: \cache_object->(run: -params=#params);
		else;
			return: \cache_object->(run: -params=#params);
		/if;
	/define_tag;

	define_tag: 'Preferences', -privileged, -namespace = 'Cache_';
		local: 'preferences' = (map:
			'_cache_enable' = 'Y',
			'_cache_host' = 'Y',
			'_cache_expire' = (60*60*24),
			'_cache_limit' = (32*1024),
		);
		inline: -log=$__startup_loglevel__, -search, 
				-database='lasso_internal', 
				-table='global_prefs', 
				-keyfield='store_key', 
				'store_key'='_cache_';
			records;
				#preferences->(insert: (field: 'store_key') = (field: 'data'));
			/records;
		/inline;
		return: @#preferences;
	/define_tag;

	Define_Tag: 'Link', -Container, -Priority='Replace', -namespace='_global_';

		\Link_URL->(eval: -params=(array: -noreturn));
		if: (#output != '');
			#output->(removetrailing: '?');
			return: '<a href="' + (encode_html: #output) + '">' + (Run_Children) + '</a>';
		/if;

	/Define_Tag;

?>