<?LassoScript

	define_tag('crammd5',
		-required = 'password', -type = 'string',
		-required = 'token', -type = 'string',
		-returntype = 'string',
		-namespace = 'encrypt_');

		local(
			'pass' = #password,
			'pbytes' = bytes,
			'ibytes' = bytes,
			'obytes' = bytes,
			'hex' = null,
			'int' = null,
			'byte' = null,
			'itemp' = null,
			'otemp' = null,
			'ires' = null);

		if(#pass->size > 64);
			#pass = encrypt_md5(#pass);
			loop(-from = 1, -to = #pass->size, -by = 2);
				#hex =
					'0x' + #pass->get(loop_count) + #pass->get(loop_count + 1);
				#int = integer(#hex);
				#pbytes->import8bits(#int);
			/loop;
		else;
			#pbytes->importstring(#pass, 'iso-8859-1');
		/if;

		iterate: #pbytes, #byte;
			#itemp = integer(#byte);
			#otemp = integer(#byte);
			#itemp->bitxor(integer(0x36));
			#otemp->bitxor(integer(0x5c));
			#ibytes->import8bits(#itemp);
			#obytes->import8bits(#otemp);
		/iterate;

		if(#pbytes->size < 64);
			loop(64 - #pbytes->size);
				#ibytes->import8bits(0x36);
				#obytes->import8bits(0x5c);
			/loop;
		/if;

		#ibytes->importstring(#token, 'iso-8859-1');
		#ires = encrypt_md5(#ibytes);

		loop(-from = 1, -to = #ires->size, -by = 2);
			#hex = '0x' + #ires->get(loop_count) + #ires->get(loop_count + 1);
			#int = integer(#hex);
			#obytes->import8bits(#int);
		/loop;

		return(encrypt_md5(#obytes));

	/define_tag;

?>